<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>org.springframework.boot</groupId>
		<artifactId>spring-boot-starter-parent</artifactId>
		<version>3.1.5</version>
		<relativePath/> <!-- lookup parent from repository -->
	</parent>
	<groupId>de.ubt.ai4.petter.recpro.lib.rating</groupId>
	<artifactId>rating</artifactId>
	<version>1.0.0</version>
	<name>rating</name>
	<description>Rating Base Project.</description>
	<properties>
		<java.version>17</java.version>
	</properties>
	<dependencies>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter</artifactId>
		</dependency>

		<dependency>
			<groupId>org.projectlombok</groupId>
			<artifactId>lombok</artifactId>
			<optional>true</optional>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-test</artifactId>
			<scope>test</scope>
		</dependency>

		<dependency>
			<groupId>com.fasterxml.jackson.core</groupId>
			<artifactId>jackson-annotations</artifactId>
			<version>2.16.0</version>
		</dependency>

	</dependencies>

	<repositories>
		<repository>
			<id>rating</id>
			<!--suppress UnresolvedMavenProperty -->
			<url>https://gitlab.com/api/v4/projects/54497872/packages/maven</url>
		</repository>
	</repositories>

	<distributionManagement>
		<repository>
			<id>rating</id>
			<!--suppress UnresolvedMavenProperty -->
			<url>https://gitlab.com/api/v4/projects/54497872/packages/maven</url>
		</repository>
		<snapshotRepository>
			<id>rating</id>
			<!--suppress UnresolvedMavenProperty -->
			<url>https://gitlab.com/api/v4/projects/54497872/packages/maven</url>
		</snapshotRepository>
	</distributionManagement>

	<profiles>
		<profile>
			<id>dev</id>
			<properties>
				<build.profile.id>dev</build.profile.id>
				<profileActive>dev</profileActive>
			</properties>
		</profile>
		<profile>
			<id>test</id>
			<properties>
				<build.profile.id>test</build.profile.id>
				<profileActive>test</profileActive>
			</properties>
		</profile>
		<profile>
			<id>prod</id>
			<activation>
				<activeByDefault>true</activeByDefault>
			</activation>
			<properties>
				<build.profile.id>prod</build.profile.id>
				<profileActive>prod</profileActive>
			</properties>
		</profile>
	</profiles>
</project>
